SDL_GetJoystickAxis(3)

NAME
SDL_GetJoystickAxis - Get the current state of an axis control on a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

Sint16 SDL_GetJoystickAxis(SDL_Joystick *joystick, int axis);

DESCRIPTION
SDL makes no promises about what part of the joystick any given axis refers to. Your game should have some sort of configuration UI to let users specify what each axis should be bound to. Alternately, SDL's higher-level Game Controller API makes a great effort to apply order to this lower-level interface, so you know that a specific axis is the "left thumb stick," etc.

The value returned by SDL_GetJoystickAxis() is a signed integer (-32768 to 32767) representing the current position of the axis. It may be necessary to impose certain tolerances on these values to account for jitter.

FUNCTION PARAMETERS

joystick
    an SDL_Joystick structure containing joystick information.

axis
    the axis to query; the axis indices start at index 0.

RETURN VALUE
Returns a 16-bit signed integer representing the current position of the axis or 0 on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetNumJoystickAxes(3)